Want to Join Us ?

you'll be able to discuss, share and send private messages.

NEW ida pro auto_re by a1ext

Discussion in 'Plugins' started by storm shadow, Sep 23, 2016.

Share This Page

Tags:
  1. storm shadow

    Techbliss Owner Admin Ida Pro Expert Developer

    Our friend @a1ext been a busy developer :)

    Features

    1. Auto-renaming dummy-named functions, which have one API call

    Before

    [​IMG]
    After

    [​IMG]
    2. Assigning TAGS to functions accordingly to called API-indicators inside

    • Setting tags as repeatable function comments and displaying TAG tree in the separate view
    Some screenshots of TAGS view:
    [​IMG]
    [​IMG]
    How TAGs look in unexplored code: [​IMG]



    source github
    https://github.com/a1ext/auto_re
     

    Attached Files:

    Rip Cord likes this.
  2. samoray

    Active Member

    First of all Congratulation "a1ext" for your prize,
    as for the plugin I tried to launch it but I think I'm missing PyQt5 module in my IDA 6.8, will you please show me how to include the missed module? should I install Qt5 to get it working? I know IDA 6.9 is based on Qt5 but Im still working with IDA 6.8 (which is based On Pyside) what do you suggest?
     
    Last edited: Sep 24, 2016
  3. storm shadow

    Techbliss Owner Admin Ida Pro Expert Developer

  4. samoray

    Active Member

    @ storm shadow: thank you for your reply, but my next question is do the above plugin (and other latest plugins) work if I install your "PyQt4 installer", dont they need PyQt5 instead?.
    any way I'm downloading PyQt4 installer and try and see...
     
  5. storm shadow

    Techbliss Owner Admin Ida Pro Expert Developer

    well the plugin needs to be modded for PyQt4, since your ida version dont have or can use PyQt5.
    And @a1ext did not supply a licence within repo, so we have to wait for him to here if its okay to mod for 6.8
     
    m4n0w4r and samoray like this.
  6. samoray

    Active Member

    Ok, I see. so its useless for me to install PyQt5 cause my IDA version cannot use it!!
    I hope a1text can mod his plugins to support PyQt4.
     
    storm shadow likes this.
  7. m4n0w4r

    Well-Known Member

    You can try similar plugin (idascope): https://www.hex-rays.com/contests/2012/index.shtml#idascope and wait @a1text allow porting his plugin for IDA 6.8

    Regards,
     
    Rip Cord and samoray like this.
  8. computerline

    Well-Known Member Ida Pro Expert

    This plugin could be make to run with PySide, just use the code from comment line on line 13 to line 18, and line 94 to 97, also, the plugin "shoud" work with PyQt4 with some minor change
     

    Attached Files:

    samoray, Rip Cord and m4n0w4r like this.
  9. samoray

    Active Member

    Thank you "Computerline" the plugin loads correctly which means it shoulld work correctly
     
Top